import { TUILogin } from "@tencentcloud/tui-core";
let vueVersion = 3;
function TUIlogin(
    chatInfo,
    info,
    userSig,
) {
    uni.$SDKAppID = chatInfo; // Your SDKAppID
    uni.$userID = String(info); // Your userID
    uni.$userSig = userSig; // Your userSig
    TUILogin.login({
      SDKAppID: uni.$SDKAppID,
      userID: uni.$userID,
      userSig: uni.$userSig,
      useUploadPlugin: true, // If you need to send rich media messages, please set to true.
      framework: `vue${vueVersion}`, // framework used vue2 / vue3
    }).catch(() => {});
  }

  export default TUIlogin;